SELECT * from person 
where (sex is null or LENGTH(sex) <> 1) 
OR (prename is null or LENGTH(prename)< 3) 
OR (birth is NULL or birth='0000-00-00' or LENGTH(birth) < 10) 
OR(dateupdate is null or dateupdate='0000-00-00' or LENGTH(dateupdate) < 10) 
OR (bloodgroup not in('A','B','AB','O')) ;